<!DOCTYPE html>
<html>
  <!--
    WARNING! Make sure that you match all Quasar related
    tags to the same version! (Below it's "@2.0.0-beta.12")
  -->
  <head>

    <link rel="preconnect" href="https://fonts.gstatic.com">
    <!-- <link href="https://fonts.googleapis.com/css2?family=Oxygen:wght@300;400;700&display=swap" rel="stylesheet">-->

    <link href="https://fonts.googleapis.com/css?family=Roboto:100,300,400,500,700,900" rel="stylesheet" type="text/css">
    <link href="https://maxst.icons8.com/vue-static/landings/line-awesome/font-awesome-line-awesome/css/all.min.css" rel="stylesheet" type="text/css">
    <link href="https://cdn.jsdelivr.net/npm/animate.css@^4.0.0/animate.min.css" rel="stylesheet" type="text/css">
    <link href="https://cdn.jsdelivr.net/npm/quasar@2.0.0-beta.12/dist/quasar.prod.css" rel="stylesheet" type="text/css">
  </head>

  <!-- 
    IN THIS PROJECT ALWAYS USE END TAGS! ITS NOT POSSIBLE TO USE SHORT COMPONENT SYNTAX LIKE <component /> 
    MUST USE <component></component>
  -->
  <body>
    <div id="q-app">

  
            <div class="q-pa-md">
              <div class="q-gutter-md row">
          
                <q-btn color="primary" label="Parent Relationship">
                  <q-menu
                    transition-show="flip-right"
                    transition-hide="flip-left"
                  >
                    <q-list style="min-width: 100px">
                      <q-item clickable>
                        <q-item-section>HasOne</q-item-section>
                      </q-item>
                      <q-item clickable>
                        <q-item-section>HasMany</q-item-section>
                      </q-item>
                    </q-list>
                  </q-menu>
                </q-btn>
                </div>
              </div>

    </div>
    <!-- Add the following at the end of your body tag -->
    <script src="https://cdn.jsdelivr.net/npm/vue@3/dist/vue.global.prod.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/quasar@2.0.0-beta.12/dist/quasar.umd.prod.js"></script>
    
    <!-- MAIN -->
    <script>
      const app = Vue.createApp({
        setup () {
          return {}
        }
      })
      app.use(Quasar, {
        config: {
          brand: { // this will NOT work on IE 11
            // primary: '#e46262',
            // ... or all other brand colors
          },
          notify: {}, // default set of options for Notify Quasar plugin
          loading: {}, // default set of options for Loading Quasar plugin
          loadingBar: { } // settings for LoadingBar Quasar plugin
        }}
        )
      app.mount('#q-app')
    </script>
  </body>
</html>

